All Forums General
sureshsamuel 4 posts Joined 10/14
29 Oct 2014
pom file for maven project

Our current application will be migrated to maven project so we need pom files for
tdgssconfig and terajdbc4 version 12.00.00.105 , 14.00.00.21

tomnolan 594 posts Joined 01/08
29 Oct 2014

The Teradata JDBC Driver must be obtained from Teradata directly, for example, from here on Developer Exchange.  We do not make the Teradata JDBC Driver available from any public Maven repository.
 
http://downloads.teradata.com/download/connectivity/jdbc-driver
 
After downloading and unzipping (or untarring) the Teradata JDBC Driver jar files, you must install them manually into your local Maven repository.
 

mvn install:install-file -DgroupId=com.teradata.jdbc -DartifactId=tdgssconfig -Dversion=14.00.00.21 -Dpackaging=jar -Dfile=/path/to/tdgssconfig.jar
mvn install:install-file -DgroupId=com.teradata.jdbc -DartifactId=terajdbc4 -Dversion=14.00.00.21 -Dpackaging=jar -Dfile=/path/to/terajdbc4.jar

 
Then you specify the dependencies in your pom file.
 

<dependencies>
    <dependency>
        <groupId>com.teradata.jdbc</groupId>
        <artifactId>terajdbc4</artifactId>
        <version>14.00.00.21</version>
    </dependency>
    <dependency>
        <groupId>com.teradata.jdbc</groupId>
        <artifactId>tdgssconfig</artifactId>
        <version>14.00.00.21</version>
    </dependency>
</dependencies>

 

tomnolan 594 posts Joined 01/08
29 Oct 2014

By the way, Teradata JDBC Driver 12.00.00.105 is very old (about 6 years old) and is no longer supported. Please consider switching to a newer version of the Teradata JDBC Driver.

sureshsamuel 4 posts Joined 10/14
30 Oct 2014

Thanks for the reply

sureshsamuel 4 posts Joined 10/14
31 Oct 2014
[INFO] ------------------------------------------------------------------------
[ERROR] BUILD ERROR
[INFO] ------------------------------------------------------------------------
[INFO] Error building POM (may not be this project's POM).


Project ID: org.apache.maven.plugins:maven-install-plugin

Reason: POM 'org.apache.maven.plugins:maven-install-plugin' not found in reposit
ory: Unable to download the artifact from any repository

  org.apache.maven.plugins:maven-install-plugin:pom:2.2

from the specified remote repositories:
  central (http://repo1.maven.org/maven2),
  jboss6-repository (file://D:\.m2),
  jboss6-plugin-repository (file://D:\.m2)

 for project org.apache.maven.plugins:maven-install-plugin

I'm getting this error while running the command mentioned above , I replaced the version no. and path
 
 
 
 
 
 

sureshsamuel 4 posts Joined 10/14
04 Nov 2014

The above solution worked and was able to create the  pom file , thanks tomnolan

jdavidgaviria 1 post Joined 03/15
12 Mar 2015

That is retarded, why not make the teradata jdbc artifact publicly available?....

tomnolan 594 posts Joined 01/08
12 Mar 2015

@jdavidgaviria, please keep your comments civil.
 
We do not make the Teradata JDBC Driver available from any public Maven repository.
 
The Teradata JDBC Driver must be obtained from Teradata directly, for example, from here on Developer Exchange. We do this to ensure that you agree to the Use Agreement for using the software.

You must sign in to leave a comment.